<?php
/**
 * Mobicommerce
 *
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_GeoWebsite
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\DefaultGeoLocation\Plugin\Helper;

class StaticFiles
{
    /**
     * afterAddWebsiteData
     *
     * @param Subject $subject
     * @param Return $data
     */
    public function afterAddWebsiteData($subject, $data)
    {
        $default_geo_latitute = $subject->getStoreConfig('mobi_content/mobileapps_footer/default_geo_latitute');

        $default_geo_longitude = $subject->getStoreConfig('mobi_content/mobileapps_footer/default_geo_longitude');
        
        $data['mc_latitute'] = $default_geo_latitute;
        $data['mc_longitude'] = $default_geo_longitude;

        return $data;
    }    
}
