<?php

namespace Mobicommerce\GeoFencing\Model\ResourceModel\Mapping;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    /**
     * @var string
     */
    protected $_idFieldName = 'id';

    /**
     * @var string
     */
    protected $_eventPrefix = 'mc_gf_mapping_collection';

    /**
     * @var string
     */
    protected $_eventObject = 'mc_gf_mapping_collection';

    /**
     * Define resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(
            \Mobicommerce\GeoFencing\Model\Mapping::class,
            \Mobicommerce\GeoFencing\Model\ResourceModel\Mapping::class
        );
    }
}
