<?php
/**
 * Mobicommerce
 *
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Api\Data;

/**
 * Mobiapp Information Exchange
 */
interface MobiappDataInterface
{
    /**
     * Sets android_url
     *
     * @param string $url
     * @return $this
     */
    public function setAndroidUrl($url);

    /**
     * Get android_url
     *
     * @return string|NULL
     */
    public function getAndroidUrl();

    /**
     * Sets desktop_url
     *
     * @param string $url
     * @return $this
     */
    public function setDesktopUrl($url);

    /**
     * Get desktop_url
     *
     * @return string|NULL
     */
    public function getDesktopUrl();

    /**
     * Sets pwa_url
     *
     * @param string $url
     * @return $this
     */
    public function setPwaUrl($url);

    /**
     * Get pwa_url
     *
     * @return string|NULL
     */
    public function getPwaUrl();
}
