<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class DeeplinkType implements OptionSourceInterface
{
    /**
     * Convert to Array
     *
     * @return object
     */
    public function toOptionArray()
    {
        $result = [
            ['value' => '', 'label' => __('Select')],
            //['value' => 'product', 'label' => __('Product Page')],
            ['value' => 'category', 'label' => __('Category Page')],
            ['value' => 'cms', 'label' => __('CMS Page')],
            ['value' => 'phone', 'label' => __('Phone Call')],
            ['value' => 'email', 'label' => __('Email')],
            ['value' => 'external_url', 'label' => __('External URL')],
            ['value' => 'qr_scan', 'label' => __('QR Scan')]
        ];

        return $result;
    }
}
