<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class ProductViewOptions implements OptionSourceInterface
{
        /**
         * Convert to Array
         *
         * @return object
         */
    public function toOptionArray()
    {
        $result = [
            ['value' => 'list', 'label' => __('List')],
            ['value' => 'grid', 'label' => __('Grid')],
            ['value' => 'full', 'label' => __('Image')]
        ];

        return $result;
    }
}
