define([
    'jquery',
    'Magento_Ui/js/grid/provider'
], function ($, provider) {
    'use strict';

    return provider.extend({
        reload: function (options) {
            var conditions = $('[data-form-part="mobicommerce_productcollection_form"]').serialize();

            if (typeof this.params.filters === 'undefined') {
                this.params.filters = {};
            }

            this.params.filters.productcollection_conditions = conditions;
            this._super({'refresh': true});
        }
    });
});
