<?php
/**
 * Mobicommerce
 *
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_GeoFencing
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\GeoFencing\Plugin\Helper;

class StaticFiles
{
    /**
     * afterAddWebsiteData
     *
     * @param Subject $subject
     * @param Return $data
     */
    public function afterAddWebsiteData($subject, $data)
    {
        $geo_fencing_enable = $subject->getStoreConfig('mobi_advance/modules_features/geo_fencing_enable');
        if(empty($geo_fencing_enable))
        {
         $data['mc_geo_fencing_enable'] = "0";
        }else
        {
         $data['mc_geo_fencing_enable'] = $geo_fencing_enable;
         } 
        return $data;
    }

    
}
