<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\InappPayment\Model\Source;

use Magento\Framework\Data\OptionSourceInterface;

class CmsBlocks implements OptionSourceInterface
{
    private $blockColFactory;
    public function __construct(
        \Magento\Cms\Model\ResourceModel\Block\CollectionFactory $blockColFactory
    ) {
        $this->blockColFactory = $blockColFactory;
    }

    public function toOptionArray()
    {
        $result[] = [
            'value' => '',
            'label' => __('------ SELECT ------')
        ];
        
        $collection = $this->blockColFactory->create();
        // $collection->addFieldToFilter(
        //     'enable',
        //     true
        // );
       
       // echo $collection->getSelect(); exit;
        if ($collection->getSize()) {
            foreach ($collection as $item) {
                $result[] = [
                    'value' => $item->getIdentifier(),
                    'label' => $item->getTitle()
                ];
            }
        }

        return $result;
    }
}
