<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_MagentoGraphQlPatch
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\MagentoGraphQlPatch\Plugin\Magento\CatalogGraphQl\DataProvider\Product\LayeredNavigation\Builder;

use Magento\CatalogGraphQl\DataProvider\Product\LayeredNavigation\Builder\Category as Subject;
use Magento\Framework\Api\Search\AggregationInterface;

class Category extends AttributeDataProvider
{
    public function afterBuild(Subject $subject, $result, AggregationInterface $aggregation, ?int $storeId): array
    {
        if (isset($result[0])) {
            $attributeData = $this->getAttributeData('category_ids', $storeId);
            if ($attributeData['attribute_store_label']) {
                $result[0]['label'] = $attributeData['attribute_store_label'];
            }
        }

        return $result;
    }
}
