<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Cron;

use Mobicommerce\Mobiapp\Model\CustomsegmentRepository;

class CustomSegment
{
    /**
     * @var CustomsegmentRepository
     */
    private CustomsegmentRepository $customsegmentRepository;

    /**
     * Constructor
     *
     * @param CustomsegmentRepository $customsegmentRepository
     */
    public function __construct(
        CustomsegmentRepository $customsegmentRepository
    ) {
        $this->customsegmentRepository = $customsegmentRepository;
    }

    public function process()
    {
        $this->customsegmentRepository->processQueue();
    }
}
