<?php
/**
 * Mobicommerce
 *
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Helper;

class DbHelper
{
    /**
     * PrepareIdWiseSortOrder function
     *
     * @param Array $ids
     * @param String $idField
     */
    public static function prepareIdWiseSortOrder($ids, $idField = 'id')
    {
        $order = [];
        $order[] = "CASE $idField";
        foreach ($ids as $index => $id) {
            $order[] = "WHEN $id THEN $index";
        }
        $order[] = "END";

        return new \Zend_Db_Expr(implode(" ", $order));
    }
}
