<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class ProductSortingOptions implements OptionSourceInterface
{
    /**
     * Convert to Array
     *
     * @return object
     */
    public function toOptionArray()
    {
        $result = [
            ['value' => 'position', 'label' => __('Position')],
            ['value' => 'price-h-l', 'label' => __('Price High to Low')],
            ['value' => 'price-l-h', 'label' => __('Price Low to High')],
            ['value' => 'rating', 'label' => __('Rating')],
            ['value' => 'name-a-z', 'label' => __('Name A-Z')],
            ['value' => 'name-z-a', 'label' => __('Name Z-A')],
            ['value' => 'newest', 'label' => __('Newest')]
        ];

        return $result;
    }
}
