<?php
/**
 * Mobicommerce
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class WidgetImageSliderColumnPerView implements OptionSourceInterface
{
    /**
     * Convert to Array
     *
     * @return object
     */
    public function toOptionArray()
    {
        $result = [];

        $result = [
            ['value' => '1.00', 'label' => __('1.00')],
            ['value' => '1.25', 'label' => __('1.25')],
            ['value' => '1.50', 'label' => __('1.50')],
            ['value' => '1.75', 'label' => __('1.75')],
            ['value' => '2.00', 'label' => __('2.00')],
            ['value' => '2.25', 'label' => __('2.25')],
            ['value' => '2.50', 'label' => __('2.50')],
            ['value' => '2.75', 'label' => __('2.75')],
            ['value' => '3.00', 'label' => __('3.00')],
            ['value' => '3.25', 'label' => __('3.25')],
            ['value' => '3.50', 'label' => __('3.50')],
            ['value' => '3.75', 'label' => __('3.75')],
            ['value' => '4.00', 'label' => __('4.00')],
            ['value' => '4.25', 'label' => __('4.25')],
            ['value' => '4.50', 'label' => __('4.50')],
            ['value' => '4.75', 'label' => __('4.75')],
            ['value' => '5.00', 'label' => __('5.00')],
            ['value' => '5.25', 'label' => __('2.25')],
            ['value' => '5.50', 'label' => __('5.5')],
            ['value' => '5.75', 'label' => __('5.75')],
            ['value' => '6.00', 'label' => __('6.00')],
            ['value' => '6.25', 'label' => __('6.25')],
            ['value' => '6.50', 'label' => __('6.50')],
            ['value' => '6.75', 'label' => __('6.75')],
            ['value' => '7.00', 'label' => __('7.00')],
            ['value' => '7.25', 'label' => __('7.25')],
            ['value' => '7.50', 'label' => __('7.50')],
            ['value' => '7.75', 'label' => __('7.75')],
            ['value' => '8.00', 'label' => __('8.00')],
            ['value' => '8.25', 'label' => __('8.25')],
            ['value' => '8.50', 'label' => __('8.50')],
            ['value' => '8.75', 'label' => __('8.75')],
            ['value' => '9.00', 'label' => __('9.00')],
            ['value' => '9.25', 'label' => __('9.25')],
            ['value' => '9.50', 'label' => __('9.50')],
            ['value' => '9.75', 'label' => __('9.75')],
            ['value' => '10.00', 'label' => __('10.00')],
            ['value' => '10.25', 'label' => __('10.25')],
            ['value' => '10.50', 'label' => __('10.50')],
            ['value' => '10.75', 'label' => __('10.75')],
            ['value' => '11.00', 'label' => __('11.00')],
            ['value' => '11.25', 'label' => __('11.25')],
            ['value' => '11.50', 'label' => __('11.5')],
            ['value' => '11.75', 'label' => __('11.75')],
            ['value' => '12.00', 'label' => __('12.00')]
        ];

        return $result;
    }
}
