<?php
/**
 * Mobicommerce
 *
 * Copyright (C) 2021 Mobicommerce <info@mobicommerce.net>
 *
 * @category Mobicommerce
 * @package Mobicommerce_Mobiapp
 * @copyright Copyright (c) 2021 Mobicommerce (http://www.mobicommerce.net/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author Mobicommerce <info@mobicommerce.net>
 */

namespace Mobicommerce\Mobiapp\Plugin\Magento\Backend\Model\Menu;

class Item
{
    /**
     * AfterGetUrl action
     *
     * @param Subject $subject
     * @param Result $result
     */
    public function afterGetUrl($subject, $result)
    {
        $menuId = $subject->getId();
        
        switch ($menuId) {
            case 'Mobicommerce_Mobiapp::hc_knowledge_base':
                $result = 'https://support.mobicommerce.net/portal/en/kb/mobileapps';
                break;

            case 'Mobicommerce_Mobiapp::hc_report_issue':
                $result = 'https://support.mobicommerce.net/portal/en/newticket';
                break;

            case 'Mobicommerce_Mobiapp::hc_request_personalized_demo':
                $result = 'https://www.mobicommerce.net/request-for-demo/';
                break;

            case 'Mobicommerce_Mobiapp::hc_contact_us':
                $result = 'https://www.mobicommerce.net/contact-us/';
                break;
            
            default:
                break;
        }

        return $result;
    }
}
