<?php

/**
 * Mobicommerce_RestrictProductTypes
 *
 * @category  PHP
 * @package   Mobicommerce_RestrictProductTypes
 * @author    Mobicommerce <info@mobicommerce.net>
 * @copyright 2022 Copyright (c) Mobicommerce
 * @link      https://www.Mobicommerce.net/
 */

namespace Mobicommerce\RestrictProductTypes\Plugin\Magento\Catalog\Model\Product;

class Type
{
    /**
     * Get product types
     *
     * @return array
     */
    public function afterGetTypes($subject, $result)
    {
        $allowedTypes = [];
        foreach ($result as $type => $array) {
            if (in_array($type, ['simple', 'configurable'])) {
                $allowedTypes[$type] = $array;
            }
        }

        return $allowedTypes;
    }
}
